Bug 433509 - Don't log passwords in ipaserver-install.log
Don't log passwords in ipaserver-install.log
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
Depends On:
Blocks: 429034
  Show dependency treegraph
Reported: 2008-02-19 13:59 EST by Rob Crittenden
Modified: 2015-01-04 18:30 EST (History)
1 user (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Don't log passwords in ipaserver-install.log (1.26 KB, patch)
2008-02-26 10:48 EST, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Rob Crittenden 2008-02-19 13:59:51 EST
The template used to create a DS instance is logged in the ipaserver-install.log
by ipa-server-install. It will look something like:

FullMachineName=   ipa.example.com
SuiteSpotUserID=   dirsrv
ServerRoot=    /usr/lib/dirsrv
ServerPort=   389
ServerIdentifier=   EXAMPLE-COM
Suffix=   dc=example,dc=com
RootDN=   cn=Directory Manager
RootDNPwd= password

We should not log the RootDNPwd value.
Comment 1 Rob Crittenden 2008-02-26 10:48:15 EST
Created attachment 295941 [details]
Don't log passwords in ipaserver-install.log
Comment 2 Rob Crittenden 2008-02-27 17:23:19 EST
Committed in changeset 693
Comment 3 Yi Zhang 2008-04-02 18:56:28 EDT
qa verified, bug closed
build used: 4-2-2008 daily build

Note You need to log in before you can comment on or make changes to this bug.